Bug 488477 - anaconda does not warn on truncated initrd
anaconda does not warn on truncated initrd
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-04 10:14 EST by Oliver Henshaw
Modified: 2009-06-08 14:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-08 14:14:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oliver Henshaw 2009-03-04 10:14:47 EST
Description of problem:

When I installed from the fedora 10 kde live cd, I installed to a small, temporary /boot partition (with the intention of moving to an existing boot partition that was unavailable at the time). However, this turned out to be too small and the initrd was truncated - and I didn't discover the problem until I tried to boot.

I (rpm) verified the kernel package to be good from a rescue environment, and compared the size of the initrd with some known good ones and found it to be substantially smaller. Furthermore, attempting to decompress the initrd with gunzip failed with the message "unexpected end of file".

Moving the kernel etc. to an 100MB boot partition and re-generating the initrd was enough to solve the problem.


How reproducible:

* Install fedora 10 with an 8MB boot partition

Actual results:

* Anaconda completes, subsequent boot fails.

Expected results:

* Anaconda complains at truncated initrd, maybe directs user back to partition chooser.


Additional info:

$ ll initrd-2.6.27.5-117.fc10.i686.img
-rw------- 1 root root 2695168 2009-01-18 23:05 initrd-2.6.27.5-117.fc10.i686.img

# ll /boot/initrd-2.6.2*                                        
-rw------- 1 root root 3699558 2009-01-27 12:59 /boot/initrd-2.6.27.12-170.2.5.fc10.i686.img
-rw------- 1 root root 3699536 2009-02-19 12:29 /boot/initrd-2.6.27.15-170.2.24.fc10.i686.img
-rw------- 1 root root 3700999 2009-03-03 10:04 /boot/initrd-2.6.27.19-170.2.35.fc10.i686.img

# df /dev/sda2
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/sda2                 7776      7776         0 100% /mnt/smallboot

I still have the truncated initrd, so I can attach it if that's interesting.
Comment 1 Chris Lumens 2009-03-26 15:14:24 EDT
The storage code has undergone a pretty thorough reworking since F10.  Can you please try F11 beta and let us know if you are still seeing this problem?  In general, anaconda does warn about the size of the /boot partition.  We default to 250 MB in size and warn if it gets too small, so you shouldn't be able to run into this problem.  However, the combination of it being a livecd install and the storage rework means it's very difficult to tell if you would still be hitting this problem.  Thanks for the testing.

Note You need to log in before you can comment on or make changes to this bug.